# PhasicFlow: iTstream Class Reference

iTstream Class Reference
Inheritance diagram for iTstream:
[legend]
Collaboration diagram for iTstream:
[legend]

## Public Member Functions

| iTstream (const word &streamName)
| iTstream (const word &streamName, const tokenList &tList)
| iTstream (const word &streamName, tokenList &&tList)
| iTstream (const iTstream &)=default
| iTstream (iTstream &&)=default
iTstream & | operator= (const iTstream &)=default
iTstream & | operator= (iTstream &&)=default
void | operator= (const tokenList &tList)
void | operator= (tokenList &&tList)
virtual | ~iTstream ()=default
virtual const word & | name () const
virtual word & | name ()
virtual iIstream & | read (token &t) override
virtual iIstream & | read (char &c) override
virtual iIstream & | read (word &str) override
virtual iIstream & | readString (word &str) override
virtual iIstream & | read (int64 &) override
virtual iIstream & | read (int32 &) override
virtual iIstream & | read (int16 &) override
virtual iIstream & | read (int8 &) override
virtual iIstream & | read (label &) override
virtual iIstream & | read (uint32 &) override
virtual iIstream & | read (uint16 &) override
virtual iIstream & | read (float &) override
virtual iIstream & | read (double &) override
virtual void | rewind ()
virtual void | reset ()
const tokenList & | tokens () const
size_t | size () const
size_t | numTokens () const
void | appendTokens (const tokenList &tList)
void | appendToken (const token &t)
ios_base::fmtflags | flags () const
ios_base::fmtflags | flags (const ios_base::fmtflags)
Public Member Functions inherited from iIstream
| iIstream ()
| iIstream (const iIstream &)=default
virtual | ~iIstream ()=default
void | putBack (const token &tok)
bool | getBack (token &tok)
bool | peekBack (token &tok)
void | resetPutBack ()
virtual bool | findToken (const word &w)
virtual bool | findTokenSilent (const word &w, int32 limitLine=100)
virtual bool | findTokenAndNext (const word &w, word &nextW, bool checkEndStatement=true)
virtual bool | findTokenAndNextSilent (const word &w, word &nextW, int32 limitLine=100)
template<typename T >
bool | findKeywordAndVal (const word &keyword, T &val, bool checkEndStatement=true)
template<typename T >
T | lookupData (const word &keyword)
template<typename T >
T | lookupDataOrSet (const word &keyword, const T &setVal)
template<typename T >
bool | nextData (const word &keyword, T &data)
bool | readBegin (const char *funcName)
bool | readEnd (const char *funcName)
bool | readBeginSquare (const char *funcName)
bool | readEndSquare (const char *funcName)
char | readBeginList (const char *funcName)
char | readEndList (const char *funcName)
char | readEndStatement (const char *funcName)
iIstream & | operator() () const
Public Member Functions inherited from IOstream
| IOstream ()
| IOstream (const IOstream &)=default
virtual | ~IOstream ()=default
virtual bool | check (const char *operation) const
bool | fatalCheck (const char *operation) const
bool | opened () const
bool | closed () const
bool | good () const
bool | eof () const
bool | fail () const
bool | bad () const
| operator bool () const
bool | operator! () const
int32 | lineNumber () const
int32 & | lineNumber ()
int32 | lineNumber (const int32 num)
void | setEof ()
void | setFail ()
void | setBad ()
ios_base::fmtflags | setf (const ios_base::fmtflags f)
ios_base::fmtflags | setf (const ios_base::fmtflags f, const ios_base::fmtflags mask)
void | unsetf (const ios_base::fmtflags f)

## Protected Member Functions

bool | isLastToken ()
void | setFirstToken ()
void | validate ()
Protected Member Functions inherited from IOstream
void | setOpened ()
void | setClosed ()
void | setState (ios_base::iostate state)
void | setGood ()

## Protected Attributes

word | name_
tokenList | tokenList_
tokenList::iterator | currentToken_
Protected Attributes inherited from IOstream
streamAccess | openClosed_
ios_base::iostate | ioState_
int32 | lineNumber_

## Additional Inherited Members

Public Types inherited from IOstream
enum | streamAccess : char { CLOSED = 0, OPENED }
Static Public Member Functions inherited from IOstream
static unsigned int | defaultPrecision ()
static unsigned int | defaultPrecision (unsigned int prec)
Static Public Attributes inherited from IOstream
static unsigned int | precision_ = 6
Static Protected Attributes inherited from IOstream
static word | staticName_

## Detailed Description

Definition at line 21 of file iTstream.hpp.

## Constructor & Destructor Documentation

## iTstream() [1/5]

iTstream | ( | const word & | streamName | ) |

Definition at line 32 of file iTstream.cpp.

## iTstream() [2/5]

iTstream | ( | const word & | streamName,
|  | const tokenList & | tList
| ) |  |

Definition at line 47 of file iTstream.cpp.

## iTstream() [3/5]

iTstream | ( | const word & | streamName,
|  | tokenList && | tList
| ) |  |

Definition at line 65 of file iTstream.cpp.

## iTstream() [4/5]

iTstream | ( | const iTstream & |  | ) |

default

## iTstream() [5/5]

iTstream | ( | iTstream && |  | ) |

default

## ~iTstream()

virtual ~iTstream | ( |  | ) |

virtualdefault

## Member Function Documentation

## isLastToken()

bool isLastToken | ( |  | ) |

protected

Definition at line 6 of file iTstream.cpp.

References iTstream::currentToken_, and iTstream::tokenList_.

## setFirstToken()

void setFirstToken | ( |  | ) |

protected

Definition at line 11 of file iTstream.cpp.

## validate()

void validate | ( |  | ) |

protected

Definition at line 16 of file iTstream.cpp.

References pFlow::validTokenForStream().

Here is the call graph for this function:

## operator=() [1/4]

iTstream& operator= | ( | const iTstream & |  | ) |

default

## operator=() [2/4]

iTstream& operator= | ( | iTstream && |  | ) |

default

## operator=() [3/4]

void operator= | ( | const tokenList & | tList | ) |

Definition at line 84 of file iTstream.cpp.

## operator=() [4/4]

void operator= | ( | tokenList && | tList | ) |

Definition at line 92 of file iTstream.cpp.

## name() [1/2]

pFlow::word & name | ( |  | ) | const

virtual

Reimplemented from IOstream.

Definition at line 99 of file iTstream.cpp.

## name() [2/2]

virtual word& name | ( |  | ) |

virtual

Reimplemented from IOstream.

## read() [1/12]

pFlow::iIstream & read | ( | token & | t | ) |

overridevirtual

Implements iIstream.

Definition at line 111 of file iTstream.cpp.

References fatalErrorInFunction, fatalExit, iIstream::getBack(), token::lineNumber(), and token::reset().

Referenced by twoPartEntry::twoPartEntry().

Here is the call graph for this function:
Here is the caller graph for this function:

## read() [2/12]

pFlow::iIstream & read | ( | char & | c | ) |

overridevirtual

Implements iIstream.

Definition at line 168 of file iTstream.cpp.

References CONSUME_PARAM, fatalExit, and notImplementedFunction.

## read() [3/12]

pFlow::iIstream & read | ( | word & | str | ) |

overridevirtual

Implements iIstream.

Definition at line 180 of file iTstream.cpp.

References CONSUME_PARAM, fatalExit, and notImplementedFunction.

## readString()

pFlow::iIstream & readString | ( | word & | str | ) |

overridevirtual

Implements iIstream.

Definition at line 192 of file iTstream.cpp.

References CONSUME_PARAM, fatalExit, and notImplementedFunction.

## read() [4/12]

pFlow::iIstream & read | ( | int64 & | val | ) |

overridevirtual

Implements iIstream.

Definition at line 204 of file iTstream.cpp.

References CONSUME_PARAM, fatalExit, and notImplementedFunction.

## read() [5/12]

pFlow::iIstream & read | ( | int32 & | val | ) |

overridevirtual

Implements iIstream.

Definition at line 215 of file iTstream.cpp.

References CONSUME_PARAM, fatalExit, and notImplementedFunction.

## read() [6/12]

pFlow::iIstream & read | ( | int16 & | val | ) |

overridevirtual

Implements iIstream.

Definition at line 226 of file iTstream.cpp.

References CONSUME_PARAM, fatalExit, and notImplementedFunction.

## read() [7/12]

pFlow::iIstream & read | ( | int8 & | val | ) |

overridevirtual

Implements iIstream.

Definition at line 237 of file iTstream.cpp.

References CONSUME_PARAM, fatalExit, and notImplementedFunction.

## read() [8/12]

pFlow::iIstream & read | ( | label & | val | ) |

overridevirtual

Implements iIstream.

Definition at line 248 of file iTstream.cpp.

References CONSUME_PARAM, fatalExit, and notImplementedFunction.

## read() [9/12]

pFlow::iIstream & read | ( | uint32 & | val | ) |

overridevirtual

Implements iIstream.

Definition at line 259 of file iTstream.cpp.

References CONSUME_PARAM, fatalExit, and notImplementedFunction.

## read() [10/12]

pFlow::iIstream & read | ( | uint16 & | val | ) |

overridevirtual

Implements iIstream.

Definition at line 270 of file iTstream.cpp.

References CONSUME_PARAM, fatalExit, and notImplementedFunction.

## read() [11/12]

pFlow::iIstream & read | ( | float & | val | ) |

overridevirtual

Implements iIstream.

Definition at line 282 of file iTstream.cpp.

References CONSUME_PARAM, fatalExit, and notImplementedFunction.

## read() [12/12]

pFlow::iIstream & read | ( | double & | val | ) |

overridevirtual

Implements iIstream.

Definition at line 294 of file iTstream.cpp.

References CONSUME_PARAM, fatalExit, and notImplementedFunction.

## rewind()

void rewind | ( |  | ) |

virtual

Implements iIstream.

Definition at line 307 of file iTstream.cpp.

References iIstream::resetPutBack().

Referenced by twoPartEntry::secondPartVal(), and dataEntry::stream().

Here is the call graph for this function:
Here is the caller graph for this function:

## reset()

void reset | ( |  | ) |

virtual

Definition at line 315 of file iTstream.cpp.

References iIstream::resetPutBack().

Here is the call graph for this function:

## tokens()

const pFlow::tokenList & tokens | ( |  | ) | const

Definition at line 323 of file iTstream.cpp.

Referenced by dataEntry::dataEntry().

Here is the caller graph for this function:

## size()

size_t size | ( |  | ) | const

Definition at line 328 of file iTstream.cpp.

Referenced by pFlow::isTwoPartEntry().

Here is the caller graph for this function:

## numTokens()

size_t numTokens | ( |  | ) | const

Definition at line 333 of file iTstream.cpp.

## appendTokens()

void appendTokens | ( | const tokenList & | tList | ) |

Definition at line 339 of file iTstream.cpp.

References pFlow::validTokenForStream().

Here is the call graph for this function:

## appendToken()

void appendToken | ( | const token & | t | ) |

Definition at line 352 of file iTstream.cpp.

References pFlow::validTokenForStream().

Here is the call graph for this function:

## flags() [1/2]

ios_base::fmtflags flags | ( |  | ) | const

inlinevirtual

Implements IOstream.

Definition at line 149 of file iTstream.hpp.

## flags() [2/2]

ios_base::fmtflags flags | ( | const ios_base::fmtflags |  | ) |

inlinevirtual

Implements IOstream.

Definition at line 155 of file iTstream.hpp.

## Member Data Documentation

## name_

word name_

protected

Definition at line 28 of file iTstream.hpp.

## tokenList_

tokenList tokenList_

protected

Definition at line 31 of file iTstream.hpp.

Referenced by iTstream::isLastToken().

## currentToken_

tokenList::iterator currentToken_

protected

Definition at line 34 of file iTstream.hpp.

Referenced by iTstream::isLastToken().

The documentation for this class was generated from the following files:

- src/phasicFlow/streams/TStream/iTstream.hpp
- src/phasicFlow/streams/TStream/iTstream.cpp